# Cluster Name → Address

{% hint style="info" %}
To enable testnet querying on Sepolia, add `?testnet=true` to the end of the URL
{% endhint %}

## Bulk get addresses

<mark style="color:green;">`POST`</mark> `/v1/names`

Get the wallets associated to a cluster name. You can pass just the cluster name or also include the address name.

| Name        | Description                                           |
| ----------- | ----------------------------------------------------- |
| POST `body` | Array of cluster names (with or without address name) |

**Example**

```bash
curl  -X POST \
  'https://api.clusters.xyz/v1/names' \
  --data-raw '[
  { name: "clusters" },
  { name: "clusters/main" },
  { name: "layerzero" },
  { name: "layerzero/main" }
]'
```

**Response**

> Any names in the array that are not found will be omitted from the response.

{% tabs %}
{% tab title="200" %}

```json
[
  {
    "name": "clusters",
    "type": "evm",
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "clusterName": "clusters",
    "walletName": "main",
    "isVerified": true
  },
  {
    "name": "clusters/main",
    "type": "evm",
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "clusterName": "clusters",
    "walletName": "main",
    "isVerified": true
  },
  {
    "name": "layerzero",
    "type": "evm",
    "address": "0xccdead94e8cf17de32044d9701c4f5668ad0bef9",
    "clusterName": "layerzero",
    "walletName": "main",
    "isVerified": true
  },
  {
    "name": "layerzero",
    "type": "evm",
    "address": "0xccdead94e8cf17de32044d9701c4f5668ad0bef9",
    "clusterName": "layerzero",
    "walletName": "main",
    "isVerified": true
  },
]
```

{% endtab %}

{% tab title="500" %}

```json
[]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clusters.xyz/getting-started/api/v1/cluster-name-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
